import request from '@/utils/request'

// 查询菜单类型列表
export function listClassify(query) {
  return request({
    url: '/goods/classify/list',
    method: 'get',
    params: query
  })
}

// 查询菜单类型详细
export function getClassify(classifyId) {
  return request({
    url: '/goods/classify/' + classifyId,
    method: 'get'
  })
}

// 新增菜单类型
export function addClassify(data) {
  return request({
    url: '/goods/classify',
    method: 'post',
    data: data
  })
}

// 修改菜单类型
export function updateClassify(data) {
  return request({
    url: '/goods/classify',
    method: 'put',
    data: data
  })
}

// 删除菜单类型
export function delClassify(classifyId) {
  return request({
    url: '/goods/classify/' + classifyId,
    method: 'delete'
  })
}
